Skip to main content
GET
/
availability-by-shared-link
/
{sharedLink}
Get available time slots by shared link
curl --request GET \
  --url https://api.zeeg.me/v2/availability-by-shared-link/{sharedLink} \
  --header 'Authorization: Bearer <token>'
{
  "ownerSlug": "shared",
  "eventTypeSlug": "30min-discovery-call",
  "schedulingUrl": "https://zeeg.me/shared/30min-discovery-call",
  "duration": 30,
  "firstAvailableDate": "2026-04-01",
  "lastAvailableDate": "2026-04-14",
  "timeZone": "Europe/Paris",
  "timeZoneOffset": "+02:00",
  "isNotAvailable": false,
  "availability": [
    {
      "date": "2026-04-01",
      "slots": [
        "09:00",
        "09:30",
        "10:00",
        "10:30",
        "14:00",
        "14:30",
        "15:00"
      ]
    },
    {
      "date": "2026-04-02",
      "slots": [
        "09:00",
        "09:30",
        "10:00",
        "11:00",
        "14:00",
        "15:00"
      ]
    },
    {
      "date": "2026-04-03",
      "slots": []
    },
    {
      "date": "2026-04-04",
      "slots": []
    },
    {
      "date": "2026-04-05",
      "slots": [
        "09:00",
        "10:00",
        "14:00",
        "14:30"
      ]
    }
  ],
  "currentTime": "2026-03-20T12:00:00+00:00"
}

Authorizations

Authorization
string
header
required

Path Parameters

The shared scheduling link identifier (e.g. the token from a shared or collective scheduling link URL).

Query Parameters

startDate
string<date>
required

Start date in YYYY-MM-DD format.

Example:

"2026-04-01"

endDate
string<date>
required

End date in YYYY-MM-DD format.

Example:

"2026-04-14"

timeZone
string
default:UTC
required

IANA time zone identifier.

Example:

"Europe/Berlin"

duration
number

Meeting duration in minutes. Defaults to the event type's configured duration.

withHostsCount
boolean

Set to 1 to include available host count for each time slot.

hostEmail
string<email>

Email of the host to filter available slots for (useful for Round Robin events).

hostSlug
string

Slug of the host to filter available slots for (useful for Round Robin events).

check_first_available
boolean

When set to 1, the response will include the first available date.

seats
integer

Number of seats to book (for group event types).

Required range: x >= 1

Response

OK

ownerSlug
string
eventTypeSlug
string
schedulingUrl
string<uri>
duration
integer
firstAvailableDate
string<date>
lastAvailableDate
string<date>
timeZone
string
timeZoneOffset
string
isNotAvailable
boolean
availability
object[]
currentTime
string<date-time>
Last modified on April 4, 2026